Willkommen Gast. Bitte einloggen oder registrieren. Haben Sie Ihre Aktivierungs E-Mail übersehen?
14.11.2019, 21:04:45

.
Einloggen mit Benutzername, Passwort und Sitzungslänge

Mitglieder
  • Mitglieder insgesamt: 22806
  • Letzte: Hellmann
Statistiken
  • Beiträge insgesamt: 619208
  • Themen insgesamt: 49975
  • Heute online: 759
  • Am meisten online: 992
  • (17.11.2018, 20:17:55)
Benutzer Online

Autor Thema:  Duden Bibliothek 6.2.0.5 friert ein (19.0/Xfce)  (Gelesen 754 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

Duden Bibliothek 6.2.0.5 friert ein (19.0/Xfce)
« am: 30.12.2018, 15:41:26 »
Moin zusammen !

Ich bin neu hier, ich habe Euer Forum vor Kurzem entdeckt und finde es total toll!  8)

Jetzt habe ich auch mal ne Frage.

Kürzlich habe ich das Bezahl-Programm Dudenbibliothek 6.2.0.5 installiert (keine Fehlermeldung von gdebi). Gekauft habe ich das Universalwörterbuch und das Fremdwörterbuch.

Es lief tadellos mit den beiden installierten Wörterbüchern unter Mint 18. Dann habe ich mein System mit Mint 19 neu aufgesetzt, und seither hakt es: Das Fenster friert nach dem öffnen ein.  :'(

Mein System:
gwen@e15:~$ inxi -Fxz
System:    Host: e15 Kernel: 4.15.0-43-generic x86_64 bits: 64 gcc: 7.3.0
           Desktop: Xfce 4.12.3 (Gtk 2.24.31) Distro: Linux Mint 19 Tara
Machine:   Device: laptop System: Acer product: Aspire E5-573G v: V1.32 serial: N/A
           Mobo: Acer model: EA50_HB v: V1.32 serial: N/A
           UEFI: Insyde v: V1.32 date: 09/15/2015
CPU:       Dual core Intel Core i5-5200U (-MT-MCP-)
           arch: Broadwell rev.4 cache: 3072 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 8779
           clock speeds: max: 2500 MHz 1: 1064 MHz 2: 1554 MHz 3: 1706 MHz
           4: 1503 MHz
Graphics:  Card-1: Intel HD Graphics 5500 bus-ID: 00:02.0
           Card-2: NVIDIA GF117M [GeForce 610M/710M/810M/820M / GT 620M/625M/630M/720M]
           bus-ID: 04:00.0
           Display Server: x11 (X.Org 1.19.6 )
           drivers: modesetting,nouveau (unloaded: fbdev,vesa)
           Resolution: 1366x768@60.00hz
           OpenGL: renderer: Mesa DRI Intel HD Graphics 5500 (Broadwell GT2)
           version: 4.5 Mesa 18.0.5 Direct Render: Yes
Audio:     Card-1 Intel Broadwell-U Audio Controller
           driver: snd_hda_intel bus-ID: 00:03.0
           Card-2 Intel Wildcat Point-LP High Def. Audio Controller
           driver: snd_hda_intel bus-ID: 00:1b.0
           Sound: Advanced Linux Sound Architecture v: k4.15.0-43-generic
Network:   Card-1: Realtek RTL8111/8168/8411 PCIE Gigabit Ethernet Controller
           driver: r8169 v: 2.3LK-NAPI port: 4000 bus-ID: 02:00.1
           IF: enp2s0f1 state: up speed: 100 Mbps duplex: full mac: <filter>
           Card-2: Qualcomm Atheros QCA9566 / AR9566 Wireless Network Adapter
           driver: ath9k bus-ID: 03:00.0
           IF: wlp3s0 state: up mac: <filter>
Drives:    HDD Total Size: 3000.6GB (27.5% used)
           ID-1: /dev/sda model: ST2000LM003_HN size: 2000.4GB
           ID-2: USB /dev/sdb model: Elements_1042 size: 1000.2GB
Partition: ID-1: / size: 50G used: 17G (34%) fs: ext4 dev: /dev/sda1
           ID-2: /home size: 824G used: 370G (48%) fs: ext4 dev: /dev/sda2
           ID-3: swap-1 size: 9.23GB used: 0.00GB (0%)
           fs: swap dev: /dev/sda3
RAID:      No RAID devices: /proc/mdstat, md_mod kernel module present
Sensors:   System Temperatures: cpu: 44.0C mobo: N/A
           Fan Speeds (in rpm): cpu: N/A
Info:      Processes: 286 Uptime: 1:23:28 Memory: 4886.5/7891.2MB
           Init: systemd runlevel: 5 Gcc sys: 7.3.0
           Client: Shell (bash 4.4.191) inxi: 2.3.56

Wenn ich das Programm im Terminal starte, erhalte ich folgendes:

gwen@e15:~$ /opt/dudenbibliothek6/dudenbib.sh
Could not load translation file "qt_de_DE" from "/opt/dudenbibliothek6/translations/"
[1230/150125:WARNING:resource_bundle.cc(291)] locale_file_path.empty() for locale
Qt WebEngine ICU data not found at /home/dietmar/devel/src/Qt5.6.2/5.6/gcc_64/resources. Trying parent directory...
Qt WebEngine ICU data not found at /home/dietmar/devel/src/Qt5.6.2/5.6/gcc_64. Trying application directory...
Installed Qt WebEngine locales directory not found at location /home/dietmar/devel/src/Qt5.6.2/5.6/gcc_64/translations/qtwebengine_locales. Trying application directory...
Qt WebEngine locales directory not found at location /opt/dudenbibliothek6/qtwebengine_locales. Trying fallback directory... Translations MAY NOT not be correct.
Qt WebEngine resources not found at /home/dietmar/devel/src/Qt5.6.2/5.6/gcc_64/resources. Trying parent directory...
Qt WebEngine resources not found at /home/dietmar/devel/src/Qt5.6.2/5.6/gcc_64. Trying application directory...
[1230/150125:WARNING:resource_bundle.cc(291)] locale_file_path.empty() for locale

Das Programmfenster geht auf, friert aber sofort ein. Weder Tastatur noch Maus können irgendwas in der Bibliothek tun. Dann kommen graphische Bugs dazu: es wird der Inhalt anderer (inzwischen geöffneter Fenster) angezeigt. Schließen lässt sich das Programm per Klick auf das X, ein paar Minuten warten und bestätigen im Pop-Up:
Achtung
Dieses Fenster scheint beschäftigt zu sein und antwortet nicht.
Möchten Sie die Anwendung beenden?
Duden-Bibliothek Express
[Nein] [Ja]

Ist das wirklich so schlampig  :o programmiert, dass das Programm ein auf meinem Computer nicht existierendes Verzeichnis /home/dietmar sucht? Dietmar kenne ich nicht und den gibt es in meinem /home ganz bestimmt nicht! Ich bin ich und ich habe das Programm installiert.

Sollte ich noch was dazu installieren?

gwen@e15:~$ ldd /opt/dudenbibliothek6/dudenbib.bin
linux-vdso.so.1 (0x00007fff3eb21000)
libQt5WebEngineWidgets.so.5 => /usr/lib/x86_64-linux-gnu/libQt5WebEngineWidgets.so.5 (0x00007f102c558000)
libQt5WebEngineCore.so.5 => /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5 (0x00007f1026085000)
libQt5Widgets.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5 (0x00007f102583e000)
libQt5Multimedia.so.5 => not found
libQt5Gui.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5 (0x00007f10250d5000)
libQt5WebChannel.so.5 => /usr/lib/x86_64-linux-gnu/libQt5WebChannel.so.5 (0x00007f1024eb7000)
libQt5Qml.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5 (0x00007f10248ba000)
libQt5WebSockets.so.5 => not found
libQt5Network.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Network.so.5 (0x00007f102452e000)
libQt5Sql.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Sql.so.5 (0x00007f10242e5000)
libQt5Core.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Core.so.5 (0x00007f1023b9a000)
libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f1023811000)
libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f1023473000)
libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f102325b000)
libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f1022e6a000)
libQt5Quick.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5 (0x00007f1022821000)
libQt5PrintSupport.so.5 => /usr/lib/x86_64-linux-gnu/libQt5PrintSupport.so.5 (0x00007f10225b2000)
libQt5QuickWidgets.so.5 => /usr/lib/x86_64-linux-gnu/libQt5QuickWidgets.so.5 (0x00007f10223a0000)
libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f1022181000)
libQt5Positioning.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Positioning.so.5 (0x00007f1021f23000)
libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f1021d1f000)
librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f1021b17000)
libglib-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007f1021801000)
libicuuc.so.60 => /usr/lib/x86_64-linux-gnu/libicuuc.so.60 (0x00007f102144a000)
libicui18n.so.60 => /usr/lib/x86_64-linux-gnu/libicui18n.so.60 (0x00007f1020fa9000)
libnss3.so => /usr/lib/x86_64-linux-gnu/libnss3.so (0x00007f1020c65000)
libnssutil3.so => /usr/lib/x86_64-linux-gnu/libnssutil3.so (0x00007f1020a36000)
libsmime3.so => /usr/lib/x86_64-linux-gnu/libsmime3.so (0x00007f102080a000)
libnspr4.so => /usr/lib/x86_64-linux-gnu/libnspr4.so (0x00007f10205cd000)
libevent-2.1.so.6 => /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6 (0x00007f102037c000)
libX11.so.6 => /usr/lib/x86_64-linux-gnu/libX11.so.6 (0x00007f1020044000)
libX11-xcb.so.1 => /usr/lib/x86_64-linux-gnu/libX11-xcb.so.1 (0x00007f101fe42000)
libxcb.so.1 => /usr/lib/x86_64-linux-gnu/libxcb.so.1 (0x00007f101fc1a000)
libXcomposite.so.1 => /usr/lib/x86_64-linux-gnu/libXcomposite.so.1 (0x00007f101fa17000)
libXcursor.so.1 => /usr/lib/x86_64-linux-gnu/libXcursor.so.1 (0x00007f101f80d000)
libXdamage.so.1 => /usr/lib/x86_64-linux-gnu/libXdamage.so.1 (0x00007f101f60a000)
libXext.so.6 => /usr/lib/x86_64-linux-gnu/libXext.so.6 (0x00007f101f3f8000)
libXfixes.so.3 => /usr/lib/x86_64-linux-gnu/libXfixes.so.3 (0x00007f101f1f2000)
libXi.so.6 => /usr/lib/x86_64-linux-gnu/libXi.so.6 (0x00007f101efe2000)
libXrender.so.1 => /usr/lib/x86_64-linux-gnu/libXrender.so.1 (0x00007f101edd8000)
libXtst.so.6 => /usr/lib/x86_64-linux-gnu/libXtst.so.6 (0x00007f101ebd2000)
libXss.so.1 => /usr/lib/x86_64-linux-gnu/libXss.so.1 (0x00007f101e9ce000)
libfontconfig.so.1 => /usr/lib/x86_64-linux-gnu/libfontconfig.so.1 (0x00007f101e789000)
libfreetype.so.6 => /usr/lib/x86_64-linux-gnu/libfreetype.so.6 (0x00007f101e4d5000)
libexpat.so.1 => /lib/x86_64-linux-gnu/libexpat.so.1 (0x00007f101e2a3000)
libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f101e086000)
libharfbuzz.so.0 => /usr/lib/x86_64-linux-gnu/libharfbuzz.so.0 (0x00007f101dde8000)
libpng16.so.16 => /usr/lib/x86_64-linux-gnu/libpng16.so.16 (0x00007f101dbb6000)
libjpeg.so.8 => /usr/lib/x86_64-linux-gnu/libjpeg.so.8 (0x00007f101d94e000)
libre2.so.4 => /usr/lib/x86_64-linux-gnu/libre2.so.4 (0x00007f101d6c7000)
libdbus-1.so.3 => /lib/x86_64-linux-gnu/libdbus-1.so.3 (0x00007f101d47a000)
libavcodec.so.57 => /usr/lib/x86_64-linux-gnu/libavcodec.so.57 (0x00007f101bd58000)
libavformat.so.57 => /usr/lib/x86_64-linux-gnu/libavformat.so.57 (0x00007f101b901000)
libavutil.so.55 => /usr/lib/x86_64-linux-gnu/libavutil.so.55 (0x00007f101b674000)
libopus.so.0 => /usr/lib/x86_64-linux-gnu/libopus.so.0 (0x00007f101b42a000)
libasound.so.2 => /usr/lib/x86_64-linux-gnu/libasound.so.2 (0x00007f101b124000)
libsnappy.so.1 => /usr/lib/x86_64-linux-gnu/libsnappy.so.1 (0x00007f101af1c000)
libxml2.so.2 => /usr/lib/x86_64-linux-gnu/libxml2.so.2 (0x00007f101ab5b000)
libminizip.so.1 => /usr/lib/x86_64-linux-gnu/libminizip.so.1 (0x00007f101a950000)
libwebpdemux.so.2 => /usr/lib/x86_64-linux-gnu/libwebpdemux.so.2 (0x00007f101a74b000)
libwebp.so.6 => /usr/lib/x86_64-linux-gnu/libwebp.so.6 (0x00007f101a4e2000)
libxslt.so.1 => /usr/lib/x86_64-linux-gnu/libxslt.so.1 (0x00007f101a2a5000)
liblcms2.so.2 => /usr/lib/x86_64-linux-gnu/liblcms2.so.2 (0x00007f101a04d000)
/lib64/ld-linux-x86-64.so.2 (0x00007f102c799000)
libGL.so.1 => /usr/lib/x86_64-linux-gnu/libGL.so.1 (0x00007f1019dc1000)
libdouble-conversion.so.1 => /usr/lib/x86_64-linux-gnu/libdouble-conversion.so.1 (0x00007f1019bb0000)
libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007f101993e000)
libicudata.so.60 => /usr/lib/x86_64-linux-gnu/libicudata.so.60 (0x00007f1017d95000)
libplc4.so => /usr/lib/x86_64-linux-gnu/libplc4.so (0x00007f1017b90000)
libplds4.so => /usr/lib/x86_64-linux-gnu/libplds4.so (0x00007f101798c000)
libXau.so.6 => /usr/lib/x86_64-linux-gnu/libXau.so.6 (0x00007f1017788000)
libXdmcp.so.6 => /usr/lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007f1017582000)
libgraphite2.so.3 => /usr/lib/x86_64-linux-gnu/libgraphite2.so.3 (0x00007f1017355000)
libsystemd.so.0 => /lib/x86_64-linux-gnu/libsystemd.so.0 (0x00007f10170d1000)
libswresample.so.2 => /usr/lib/x86_64-linux-gnu/libswresample.so.2 (0x00007f1016eb2000)
libcrystalhd.so.3 => /usr/lib/x86_64-linux-gnu/libcrystalhd.so.3 (0x00007f1016c97000)
libva.so.2 => /usr/lib/x86_64-linux-gnu/libva.so.2 (0x00007f1016a76000)
libzvbi.so.0 => /usr/lib/x86_64-linux-gnu/libzvbi.so.0 (0x00007f10167eb000)
libxvidcore.so.4 => /usr/lib/x86_64-linux-gnu/libxvidcore.so.4 (0x00007f10164da000)
libx265.so.146 => /usr/lib/x86_64-linux-gnu/libx265.so.146 (0x00007f1015859000)
libx264.so.152 => /usr/lib/x86_64-linux-gnu/libx264.so.152 (0x00007f10154b4000)
libwebpmux.so.3 => /usr/lib/x86_64-linux-gnu/libwebpmux.so.3 (0x00007f10152aa000)
libwavpack.so.1 => /usr/lib/x86_64-linux-gnu/libwavpack.so.1 (0x00007f1015080000)
libvpx.so.5 => /usr/lib/x86_64-linux-gnu/libvpx.so.5 (0x00007f1014c31000)
libvorbisenc.so.2 => /usr/lib/x86_64-linux-gnu/libvorbisenc.so.2 (0x00007f1014988000)
libvorbis.so.0 => /usr/lib/x86_64-linux-gnu/libvorbis.so.0 (0x00007f101475d000)
libvo-amrwbenc.so.0 => /usr/lib/x86_64-linux-gnu/libvo-amrwbenc.so.0 (0x00007f1014543000)
libtwolame.so.0 => /usr/lib/x86_64-linux-gnu/libtwolame.so.0 (0x00007f1014320000)
libtheoraenc.so.1 => /usr/lib/x86_64-linux-gnu/libtheoraenc.so.1 (0x00007f10140e1000)
libtheoradec.so.1 => /usr/lib/x86_64-linux-gnu/libtheoradec.so.1 (0x00007f1013ec3000)
libspeex.so.1 => /usr/lib/x86_64-linux-gnu/libspeex.so.1 (0x00007f1013ca9000)
libshine.so.3 => /usr/lib/x86_64-linux-gnu/libshine.so.3 (0x00007f1013a9e000)
librsvg-2.so.2 => /usr/lib/x86_64-linux-gnu/librsvg-2.so.2 (0x00007f1013866000)
libgobject-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0 (0x00007f1013612000)
libcairo.so.2 => /usr/lib/x86_64-linux-gnu/libcairo.so.2 (0x00007f10132f5000)
libopenjp2.so.7 => /usr/lib/x86_64-linux-gnu/libopenjp2.so.7 (0x00007f101309f000)
libopencore-amrwb.so.0 => /usr/lib/x86_64-linux-gnu/libopencore-amrwb.so.0 (0x00007f1012e8b000)
libopencore-amrnb.so.0 => /usr/lib/x86_64-linux-gnu/libopencore-amrnb.so.0 (0x00007f1012c60000)
libmp3lame.so.0 => /usr/lib/x86_64-linux-gnu/libmp3lame.so.0 (0x00007f10129e9000)
libgsm.so.1 => /usr/lib/x86_64-linux-gnu/libgsm.so.1 (0x00007f10127dc000)
liblzma.so.5 => /lib/x86_64-linux-gnu/liblzma.so.5 (0x00007f10125b6000)
libssh-gcrypt.so.4 => /usr/lib/x86_64-linux-gnu/libssh-gcrypt.so.4 (0x00007f1012343000)
libopenmpt.so.0 => /usr/lib/x86_64-linux-gnu/libopenmpt.so.0 (0x00007f1011f7b000)
libbluray.so.2 => /usr/lib/x86_64-linux-gnu/libbluray.so.2 (0x00007f1011d2b000)
libgnutls.so.30 => /usr/lib/x86_64-linux-gnu/libgnutls.so.30 (0x00007f10119c6000)
libgme.so.0 => /usr/lib/x86_64-linux-gnu/libgme.so.0 (0x00007f101177a000)
libchromaprint.so.1 => /usr/lib/x86_64-linux-gnu/libchromaprint.so.1 (0x00007f1011567000)
libbz2.so.1.0 => /lib/x86_64-linux-gnu/libbz2.so.1.0 (0x00007f1011357000)
libdrm.so.2 => /usr/lib/x86_64-linux-gnu/libdrm.so.2 (0x00007f1011146000)
libvdpau.so.1 => /usr/lib/x86_64-linux-gnu/libvdpau.so.1 (0x00007f1010f42000)
libva-x11.so.2 => /usr/lib/x86_64-linux-gnu/libva-x11.so.2 (0x00007f1010d3c000)
libva-drm.so.2 => /usr/lib/x86_64-linux-gnu/libva-drm.so.2 (0x00007f1010b39000)
libGLX.so.0 => /usr/lib/x86_64-linux-gnu/libGLX.so.0 (0x00007f1010908000)
libGLdispatch.so.0 => /usr/lib/x86_64-linux-gnu/libGLdispatch.so.0 (0x00007f1010652000)
libbsd.so.0 => /lib/x86_64-linux-gnu/libbsd.so.0 (0x00007f101043d000)
liblz4.so.1 => /usr/lib/x86_64-linux-gnu/liblz4.so.1 (0x00007f1010221000)
libgcrypt.so.20 => /lib/x86_64-linux-gnu/libgcrypt.so.20 (0x00007f100ff06000)
libsoxr.so.0 => /usr/lib/x86_64-linux-gnu/libsoxr.so.0 (0x00007f100fca3000)
libnuma.so.1 => /usr/lib/x86_64-linux-gnu/libnuma.so.1 (0x00007f100fa98000)
libogg.so.0 => /usr/lib/x86_64-linux-gnu/libogg.so.0 (0x00007f100f88f000)
libgdk_pixbuf-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgdk_pixbuf-2.0.so.0 (0x00007f100f66b000)
libgio-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0 (0x00007f100f2cc000)
libpangocairo-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libpangocairo-1.0.so.0 (0x00007f100f0bf000)
libpangoft2-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libpangoft2-1.0.so.0 (0x00007f100eea9000)
libpango-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libpango-1.0.so.0 (0x00007f100ec5c000)
libcroco-0.6.so.3 => /usr/lib/x86_64-linux-gnu/libcroco-0.6.so.3 (0x00007f100ea21000)
libffi.so.6 => /usr/lib/x86_64-linux-gnu/libffi.so.6 (0x00007f100e819000)
libpixman-1.so.0 => /usr/lib/x86_64-linux-gnu/libpixman-1.so.0 (0x00007f100e574000)
libxcb-shm.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-shm.so.0 (0x00007f100e371000)
libxcb-render.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-render.so.0 (0x00007f100e164000)
libgssapi_krb5.so.2 => /usr/lib/x86_64-linux-gnu/libgssapi_krb5.so.2 (0x00007f100df19000)
libmpg123.so.0 => /usr/lib/x86_64-linux-gnu/libmpg123.so.0 (0x00007f100dcba000)
libvorbisfile.so.3 => /usr/lib/x86_64-linux-gnu/libvorbisfile.so.3 (0x00007f100dab2000)
libp11-kit.so.0 => /usr/lib/x86_64-linux-gnu/libp11-kit.so.0 (0x00007f100d783000)
libidn2.so.0 => /usr/lib/x86_64-linux-gnu/libidn2.so.0 (0x00007f100d566000)
libunistring.so.2 => /usr/lib/x86_64-linux-gnu/libunistring.so.2 (0x00007f100d1e8000)
libtasn1.so.6 => /usr/lib/x86_64-linux-gnu/libtasn1.so.6 (0x00007f100cfd5000)
libnettle.so.6 => /usr/lib/x86_64-linux-gnu/libnettle.so.6 (0x00007f100cd9f000)
libhogweed.so.4 => /usr/lib/x86_64-linux-gnu/libhogweed.so.4 (0x00007f100cb6b000)
libgmp.so.10 => /usr/lib/x86_64-linux-gnu/libgmp.so.10 (0x00007f100c8ea000)
libgpg-error.so.0 => /lib/x86_64-linux-gnu/libgpg-error.so.0 (0x00007f100c6d5000)
libgomp.so.1 => /usr/lib/x86_64-linux-gnu/libgomp.so.1 (0x00007f100c4a6000)
libgmodule-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgmodule-2.0.so.0 (0x00007f100c2a2000)
libselinux.so.1 => /lib/x86_64-linux-gnu/libselinux.so.1 (0x00007f100c07a000)
libresolv.so.2 => /lib/x86_64-linux-gnu/libresolv.so.2 (0x00007f100be5f000)
libmount.so.1 => /lib/x86_64-linux-gnu/libmount.so.1 (0x00007f100bc0b000)
libthai.so.0 => /usr/lib/x86_64-linux-gnu/libthai.so.0 (0x00007f100ba02000)
libkrb5.so.3 => /usr/lib/x86_64-linux-gnu/libkrb5.so.3 (0x00007f100b72c000)
libk5crypto.so.3 => /usr/lib/x86_64-linux-gnu/libk5crypto.so.3 (0x00007f100b4fa000)
libcom_err.so.2 => /lib/x86_64-linux-gnu/libcom_err.so.2 (0x00007f100b2f6000)
libkrb5support.so.0 => /usr/lib/x86_64-linux-gnu/libkrb5support.so.0 (0x00007f100b0eb000)
libblkid.so.1 => /lib/x86_64-linux-gnu/libblkid.so.1 (0x00007f100ae9e000)
libdatrie.so.1 => /usr/lib/x86_64-linux-gnu/libdatrie.so.1 (0x00007f100ac97000)
libkeyutils.so.1 => /lib/x86_64-linux-gnu/libkeyutils.so.1 (0x00007f100aa93000)
libuuid.so.1 => /lib/x86_64-linux-gnu/libuuid.so.1 (0x00007f100a88c000)

Könnte es an der Installation von SoftMaker Office 2018 (Pro) liegen? In Textmaker läuft ja ein Duden-Korrektor... Aber, da es unter 18.3 mit Textmaker 2018 in der Pro-Version tadellos läuft, scheint mir, dass die Problemlösung woanders zu finden sein müsste.

Die in https://wiki.ubuntuusers.de/Duden-Bibliothek/ beschriebenen Handbücher im PDF-Format bringt überhaupt nix.

Sonst habe ich nix gefunden, was jǜnger als 5 Jahre ist, hier im Forum auch nicht.

Ich habe vom Duden Support noch keine Antwort auf meine e-Mail erhalten. Auf meinem Zweitcomputer läuft das Programm tadellos (18.3/Cinnamon).

Wer hätte eine Idee, einen Lösungsansatz oder wüsste einen Rat, bevor ich dem Duden-Support viel Geld in die Telefonhotline schmeiße und trotzdem keine Lösung gefunden wird?

Hoffentlich ist meine Frage nicht zu lange  :o

Vielen Dank  :-* :-* :-*,

Gwen

secureIT

  • Gast
Re: Duden Bibliothek 6.2.0.5 friert ein (19.0/Xfce)
« Antwort #1 am: 30.12.2018, 18:29:36 »
Hi,

echt merkwürdig ...... das mit dem "dietmar".

Kopiere bitte die dudenbib.sh aus :
/opt/dudenbibliothek6/
in ein Verzeichns Deiner Wahl in Deinem home - und benne sie um in dudenbib.txt

Dann kannst Du sie hier als Attachement anhängen.

Wäre interessant, was da so drinsteht .........

Re: Duden Bibliothek 6.2.0.5 friert ein (19.0/Xfce)
« Antwort #2 am: 30.12.2018, 23:58:54 »
Hallo secureIT,

in der dudenbib.sh steht nur:

#!/bin/sh
appname=`basename $0 | sed s,\.sh$,.bin,`

dirname=`dirname $0`
tmp="${dirname#?}"

if [ "${dirname%$tmp}" != "/" ]; then
dirname=$PWD/$dirname
fi
LD_LIBRARY_PATH=$dirname/lib

export LD_LIBRARY_PATH
$dirname/$appname "$@"

gwen@e15:/opt/dudenbibliothek6/: ls -alh
insgesamt 20M
drwxr-xr-x  9 root root 4,0K Dez 30 14:42 .
drwxr-xr-x 12 root root 4,0K Dez 30 15:53 ..
drwxr-xr-x  4 root root 4,0K Dez 30 14:25 data
-rw-r--r--  1 root root  20K Sep  6  2017 dudenbib6_256x256.png
-rwxr-xr-x  1 root root 1,5M Sep  6  2017 dudenbib.bin
-rwxr-xr-x  1 root root  183 Sep  6  2017 Duden-Bibliothek.desktop
-rwxrwxrwx  1 root root  233 Sep  6  2017 dudenbib.sh
-rw-r--r--  1 root root 9,8M Sep  6  2017 icudtl.dat
drwxr-xr-x  2 root root  16K Dez 30 14:25 lib
drwxr-xr-x  2 root root 4,0K Dez 30 14:25 mediaservice
drwxr-xr-x  2 root root 4,0K Dez 30 14:25 platforms
drwxr-xr-x  2 root root 4,0K Dez 30 14:25 print
-rwxr-xr-x  1 root root 5,3K Sep  6  2017 QtWebEngineProcess
-rw-r--r--  1 root root 629K Sep  6  2017 qtwebengine_resources_100p.pak
-rw-r--r--  1 root root 705K Sep  6  2017 qtwebengine_resources_200p.pak
-rw-r--r--  1 root root 6,5M Sep  6  2017 qtwebengine_resources.pak
drwxr-xr-x  2 root root 4,0K Dez 30 14:25 sqldrivers
drwxr-xr-x  2 root root 4,0K Dez 30 14:25 xcbglintegrations

Liebe Grüße,

Gwen

secureIT

  • Gast
Re: Duden Bibliothek 6.2.0.5 friert ein (19.0/Xfce)
« Antwort #3 am: 31.12.2018, 14:23:39 »
Der Inhalt der dudenbib.sh besteht kurz gesagt aus Qt-Anweisungen, die dazu dienen, dass Bibliotheksabhängigkeiten geladen werden können, indem die LD_LIBRARY_PATH -Variable geändert wird.

Ob dabei schon der Fehler Auftritt kann ich aus der Ferne leider nicht nachvollziehen (auch nicht theoretisch) .


Fakt ist :  der Pfad zur Qt WebEngine stimmt nicht (/home/dietmar/)

Dieser muss aber irgendwo definiert worden sein .

Weiteres Rätseln, weil Du ja sagst, dass „dietmar“ Dir unbekannt ist ………. und leider habe ich noch keine Idee, wo man ansetzen kann .

Das scheint ja ne ganz „abefahrene“ Ursache zu haben  :-\

Bin echt mal gespannt, was sich da noch an Erkenntnissen ergibt.

Re: Duden Bibliothek 6.2.0.5 friert ein (19.0/Xfce)
« Antwort #4 am: 01.01.2019, 14:26:38 »
Moin!

Heute hab ich mal versucht, die Dateien von der 18.3-Installation auf die 19 zu kopieren, aber damit löse ich das Problem auch nicht.

Danach hab ich die Dudenbibliothek deinstalliert, alles was duden*/Duden* heißt mit catfish gesucht und nach *.old umbenannt

Dann nochmal die *.deb von duden.de runtergeladen, md5 überprüft und neu installiert (mit gdebi). Keine Fehlermeldung...

Anschließend im Terminal die dudenbib.sh gestartet:

gwen@e15:/opt/dudenbibliothek6$ dudenbib.sh
Could not load translation file "qt_de_DE" from "/opt/dudenbibliothek6/translations/"
[0101/141038:WARNING:resource_bundle.cc(291)] locale_file_path.empty() for locale
Qt WebEngine ICU data not found at /home/dietmar/devel/src/Qt5.6.2/5.6/gcc_64/resources. Trying parent directory...
Qt WebEngine ICU data not found at /home/dietmar/devel/src/Qt5.6.2/5.6/gcc_64. Trying application directory...
Installed Qt WebEngine locales directory not found at location /home/dietmar/devel/src/Qt5.6.2/5.6/gcc_64/translations/qtwebengine_locales. Trying application directory...
Qt WebEngine locales directory not found at location /opt/dudenbibliothek6/qtwebengine_locales. Trying fallback directory... Translations MAY NOT not be correct.
Qt WebEngine resources not found at /home/dietmar/devel/src/Qt5.6.2/5.6/gcc_64/resources. Trying parent directory...
Qt WebEngine resources not found at /home/dietmar/devel/src/Qt5.6.2/5.6/gcc_64. Trying application directory...
[0101/141038:WARNING:resource_bundle.cc(291)] locale_file_path.empty() for locale


An dieser Stelle bleibt das Programm hängen (graphisch eingefroren, Terminal spuckt auch nix mehr aus, top | grep uden bleibt leer...

gwen@e15:/home$ ls -alh
insgesamt 44K
drwxr-xr-x  8 root       root       4,0K Dez  3 19:02 .
drwxr-xr-x 24 root         root         4,0K Dez 20 09:37 ..
drwxr-xr-x 17 carl       carl       4,0K Jan  1 14:10 carl
drwxr-xr-x 48 kinder       kinder       4,0K Jan  1 14:10 kinder
drwxr-xr-x 59 gwen      gwen      4,0K Jan  1 14:10 gwen
drwxr-xr-x 28 hausaufgaben hausaufgaben 4,0K Jan  1 14:10 hausaufgaben
drwx------  2 root       root        16K Jul  4 11:46 lost+found
drwxr-xr-x 50 test       test       4,0K Jan  1 14:10 test

Nun also, wo könnte der Pfad zur Qt WebEngine definiert werden?

gwen@e15:/opt/dudenbibliothek6$ ls -alh
insgesamt 20M
drwxr-xr-x  9 root root 4,0K Jan  1 14:10 .
drwxr-xr-x 12 root root 4,0K Jan  1 14:09 ..
drwxr-xr-x  4 root root 4,0K Jan  1 14:10 data
-rw-r--r--  1 root root  20K Sep  6  2017 dudenbib6_256x256.png
-rwxr-xr-x  1 root root 1,5M Sep  6  2017 dudenbib.bin
-rwxr-xr-x  1 root root  183 Sep  6  2017 Duden-Bibliothek.desktop
-rwxr-xr-x  1 root root  233 Sep  6  2017 dudenbib.sh
-rw-r--r--  1 root root 9,8M Sep  6  2017 icudtl.dat
drwxr-xr-x  2 root root  16K Jan  1 14:10 lib
drwxr-xr-x  2 root root 4,0K Jan  1 14:10 mediaservice
drwxr-xr-x  2 root root 4,0K Jan  1 14:10 platforms
drwxr-xr-x  2 root root 4,0K Jan  1 14:10 print
-rwxr-xr-x  1 root root 5,3K Sep  6  2017 QtWebEngineProcess
-rw-r--r--  1 root root 629K Sep  6  2017 qtwebengine_resources_100p.pak
-rw-r--r--  1 root root 705K Sep  6  2017 qtwebengine_resources_200p.pak
-rw-r--r--  1 root root 6,5M Sep  6  2017 qtwebengine_resources.pak
drwxr-xr-x  2 root root 4,0K Jan  1 14:10 sqldrivers
drwxr-xr-x  2 root root 4,0K Jan  1 14:10 xcbglintegrations
stefan@acer:/opt/dudenbibliothek6$

gwen@e15:~$ ls -alh .dud*
.dudenbib.bin:
insgesamt 8,0K
drwx------  2 gwen gwen 4,0K Jan  1 14:10 .
drwxr-xr-x 50 gwen gwen 4,0K Jan  1 14:10 ..

.dudenbibliothek6:
insgesamt 43M
drwxr-xr-x  4 gwen gwen 4,0K Jan  1 14:10 .
drwxr-xr-x 50 gwen gwen 4,0K Jan  1 14:10 ..
-rw-r--r--  1 gwen gwen  15K Jan  1 14:10 dbmedia.bdb
-rw-r--r--  1 gwen gwen 3,6M Jan  1 14:10 dudenbib.fi1
-rw-r--r--  1 gwen gwen  24M Jan  1 14:10 dudenbib.fi2
-rw-r--r--  1 gwen gwen 6,1M Jan  1 14:10 dudenbib.fsa
-rw-r--r--  1 gwen gwen 8,9M Jan  1 14:10 dudenbib.nbof
drwxr-xr-x  2 gwen gwen 4,0K Jan  1 14:10 fonts
drwxr-xr-x  2 gwen gwen 4,0K Jan  1 14:10 help

.dudenbib.bin ist ein leeres Verzeichnis
und mit dem Inhalt von .dudenbliothek6 kann ich nix anfangen.

 :'(

Ein schönes neues Jahr trotzdem, auf dass ich die Lösung mit Eurer Hilfe finde  >:(

Re: Duden Bibliothek 6.2.0.5 friert ein (19.0/Xfce)
« Antwort #5 am: 01.01.2019, 19:19:43 »
Hi,

Ich habe die Web-Site von Duden angeschaut und alle elektronischen Wörterbücher als auch Duden-Bibliothek wurden unter Ubuntu 16.04 (LM 18) getestet. Das schließt natürlich nicht aus, dass die Wörterbücher auch unter Ubuntu 18.04 (LM 19) problemlos laufen können, müssen aber auch nicht.
Ich habe zwar nur Buchausgaben der Duden Wörterbücher , deshalb habe ich nur aus Neugier die Duden-Bibliothek heruntergeladen und unter KDE Neon (basiert auf Ubuntu 18.04) installiert und getestet.
Das Programm lässt sich problemlos starten. Wenn ich das aber gut verstehe, dient es als Erweiterung, in die  alle gekauften Duden-Wörterbücher sich hinzufügen lassen. Weil ich keine Wörterbücher habe, ist bei mir  Duden-Bibliothek leer. Verstehe ich die Aufgabe der Duden-Bibliothek richtig?

gwen@e15:/opt/dudenbibliothek6$ dudenbib.sh
Could not load translation file "qt_de_DE" from "/opt/dudenbibliothek6/translations/"
[0101/141038:WARNING:resource_bundle.cc(291)] locale_file_path.empty() for locale
Qt WebEngine ICU data not found at /home/dietmar/devel/src/Qt5.6.2/5.6/gcc_64/resources. Trying parent directory...
Qt WebEngine ICU data not found at /home/dietmar/devel/src/Qt5.6.2/5.6/gcc_64. Trying application directory...
...............
Und jetzt zu den Fehlermeldungen.  Ich kann das nicht 100-prozentig bestätigen aber diese haben wohl  keinen Einfluss auf die Funktionalität des Programms, wenigstens bei mir unter KDE. Ist aber  ganz möglich, dass unter LM 19 fehlen irgendwelche Biliotheken und deshalb funktioniert das Programm bei Dir nicht korrekt. Wie ich aber schon erwähnt, ist das nur meine Vermutung, weil ich das Programm mit einem Wörterbuch nicht testen kann.

Und noch etwas Interessantes - ich habe das Programm auch aus dem Terminal gestartet und wie Du sehen kannst, die Fehlermeldungen sind fast gleich mit denen, die Du gepostet hast. Ich vermute, dass „dietmar“ irgendwie mit dem Programm verbunden ist, z.B kann das ein Ordner oder eine Datei sein, aus dem/der die notwendigen Bibliotheken gezogen werden, obwohl der Pfad /home/dietmar/devel/... verwirrend ist. Andere Erklärung habe ich leider nicht.
janek@janek-HP:~$ /opt/dudenbibliothek6/dudenbib.sh
Could not load translation file "qt_sk_SK" from "/opt/dudenbibliothek6/translations/"
[0101/180641:WARNING:resource_bundle.cc(291)] locale_file_path.empty() for locale 
Qt WebEngine ICU data not found at /home/dietmar/devel/src/Qt5.6.2/5.6/gcc_64/resources. Trying parent directory...
Qt WebEngine ICU data not found at /home/dietmar/devel/src/Qt5.6.2/5.6/gcc_64. Trying application directory...
Installed Qt WebEngine locales directory not found at location /home/dietmar/devel/src/Qt5.6.2/5.6/gcc_64/translations/q
twebengine_locales. Trying application directory...
Qt WebEngine locales directory not found at location /opt/dudenbibliothek6/qtwebengine_locales. Trying fallback director
y... Translations MAY NOT not be correct.
Qt WebEngine resources not found at /home/dietmar/devel/src/Qt5.6.2/5.6/gcc_64/resources. Trying parent directory...
Qt WebEngine resources not found at /home/dietmar/devel/src/Qt5.6.2/5.6/gcc_64. Trying application directory...
[0101/180641:WARNING:resource_bundle.cc(291)] locale_file_path.empty() for locale

« Letzte Änderung: 01.01.2019, 19:30:23 von janek-m »

Re: Duden Bibliothek 6.2.0.5 friert ein (19.0/Xfce)
« Antwort #6 am: 02.01.2019, 13:41:49 »
Hallo janek-m,

Danke für Deine Tests :)

Wenn ich das aber gut verstehe, dient es als Erweiterung, in die  alle gekauften Duden-Wörterbücher sich hinzufügen lassen. Weil ich keine Wörterbücher habe, ist bei mir  Duden-Bibliothek leer. Verstehe ich die Aufgabe der Duden-Bibliothek richtig?

Richtig. Es ist eine Art Duden-ebook-reader. Ich habe mir zwei elektronische Wörterbücher gekauft, die offiziell nur mit der Duden-Bibliothek laufen.

Ich habe das Programm erneut deinstalliert und habe auf frühere Versionen zurückgegriffen (lang lebe mein Datengrab).

Die aktuelle Version 6.2.0.5 läuft bei mir nicht unter Mint 19.
6.1.0.0 läuft auch nicht.
Aber 6.0.6.1 läuft unter Mint 19 - aber eines der Wörterbücher lässt sich nun nicht importieren, es fordert mindestens 6.1.  :-\

Alle drei Versionen laufen tadellos mit Mint 18.x

Das Problem ist also vorläufig teilweise "gelöst", vielleicht bekomme ich doch noch eine Antwort vom Duden-Support?

Liebe Grüße und vielen Dank fürs Denken helfen und mitgrübeln :-* :-* :-*

Gwen

P. S. Falls noch jemand einen anderen Tipp hat, werde ich das gerne ausprobieren.

Edit: zu früh gefreut
Edit 2: vielleicht liegt es an der Wörterbuch-Datei Band 9? Ich teste...
Edit 3: Version 6.2 läuft auch nur mit Band 1 (also ohne Band 9) nicht... Warten auf die Antwort des Duden-Supports steht an.
« Letzte Änderung: 02.01.2019, 13:59:05 von gwen »

Re: Duden Bibliothek 6.2.0.5 friert ein (19.0/Xfce)
« Antwort #7 am: 13.08.2019, 15:34:03 »
Warten auf die Antwort des Duden-Supports steht an.

Für andere Mitleser hier die Antwort des Duden-Supports auf meine Anfrage zum gleichen Thema:

Zitat
Wenn sich die Duden Bibliothek 6 nach der Installation unter Linux 18.04 nicht starten lässt, installieren Sie bitte zusätzlich die folgende Komponente.
 Starten Sie das Terminal und geben Sie folgenden Befehl ein:
 sudo apt-get install libssl1.0-dev

Da ich allerdings openSUSE Leap 15.0 verwende, lautete in meinem Fall die Lösung zypper in libssl45 (die konkrete Zahl wird sich sicherlich in Zukunft ändern) und das Anlegen eines symbolischen Links im Verzeichnis ./lib unterhalb des Installationsverzeichnisses der Duden-Bibliothek: ln -s /usr/lib64/libssl.so.45 libssl.so
Danach funktionierte die Duden-Bibliothek in der Tat wieder. Ich hoffe, das gilt auch für die vom Duden-Support genannte Vorgehensweise bei Ubuntu-Derivaten.

HTH & Gruß
Andi